:Echo
 rem Echos Text auf die Console und in zzTracActionInfo_log.txt
 rem Call Echo "Result Message.........: %JobResMsg%"
 rem Call Echo "Result Message.........: %JobResMsg%" "%CmdLog_DPNE%"
 rem Call Echo "Result Message.........: %JobResMsg%" "" "NOECHO"
 rem Call Echo "Result Message.........: %JobResMsg%" "%CmdLog_DPNE%" "NOECHO"
 setlocal

   rem - TextToEcho erstellen
   set TextToEcho=%~1
   if "%TextToEcho%" equ ""  set TextToEcho=.
   if "%TextToEcho%" neq "." set TextToEcho=.%TextToEcho%

   set Log_DPNE=%~dp0zzTracActionInfo_log.txt
   if /I "%~3" equ ""  Echo%TextToEcho%
   if "%TextToEcho%" equ "." goto :EchoEnd
   Echo %date:~4% %time:~0,8%: %TextToEcho:~1% >>"%Log_DPNE%"
   rem - Ausgabe in zusatz files File
   if "%~2" equ "" goto :EchoEnd
   Echo%TextToEcho% >>"%~2"
 :EchoEnd
 endlocal
 goto :eof
